TestRandomData (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.util.test

## Class TestRandomData

- java.lang.Object
- - java.util.Random
  - - java.security.SecureRandom
    - - org.bouncycastle.util.test.FixedSecureRandom
      - - org.bouncycastle.util.test.TestRandomData

- All Implemented Interfaces:
    java.io.Serializable

      public class TestRandomData
      extends FixedSecureRandom

  A fixed secure random designed to return data for someone needing random bytes.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.util.test.FixedSecureRandom

      `FixedSecureRandom.BigInteger, FixedSecureRandom.Data, FixedSecureRandom.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestRandomData(byte[] encoding)` Constructor from an array of bytes.
    `TestRandomData(java.lang.String encoding)` Constructor from a Hex encoding of the data.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.util.test.FixedSecureRandom

      `generateSeed, isExhausted, nextBytes, nextInt, nextLong`

    - ### Methods inherited from class java.security.SecureRandom

      `getAlgorithm, getInstance, getInstance, getInstance, getInstanceStrong, getProvider, getSeed, next, setSeed, setSeed`

    - ### Methods inherited from class java.util.Random

      `doubles, doubles, doubles, doubles, ints, ints, ints, ints, longs, longs, longs, longs, nextBoolean, nextDouble, nextFloat, nextGaussian, nextInt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRandomData

          public TestRandomData(java.lang.String encoding)

      Constructor from a Hex encoding of the data.
      Parameters:
        `encoding` - a Hex encoding of the data to be returned.

    - #### TestRandomData

          public TestRandomData(byte[] encoding)

      Constructor from an array of bytes.
      Parameters:
        `encoding` - a byte array representing the data to be returned.